Package com.collibra.dgc.core.api.dto.meta.derivedrelationtype

# Class AddDerivedRelationTypeRequest.Builder

Object
Builder

Enclosing class:
  `AddDerivedRelationTypeRequest`

public static class AddDerivedRelationTypeRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AddDerivedRelationTypeRequest`
  `build()`
  `AddDerivedRelationTypeRequest.Builder`
  `coRole(String coRole)`
  The co-role of the Derived Relation Type.
  `AddDerivedRelationTypeRequest.Builder`
  `description(String description)`
  The description of the Derived Relation Type.
  `AddDerivedRelationTypeRequest.Builder`
  `id(UUID id)`
  The id of the Derived Relation Type.
  `AddDerivedRelationTypeRequest.Builder`
  `intermediateNodes(List<@NotNull PathIntermediateNodeRequest> intermediateNodes)`
  The intermediate nodes of the Derived Relation Type.
  `AddDerivedRelationTypeRequest.Builder`
  `publicId(String publicId)`
  The public id of the Derived Relation Type.
  `AddDerivedRelationTypeRequest.Builder`
  `role(String role)`
  The role of the Derived Relation Type.
  `AddDerivedRelationTypeRequest.Builder`
  `sourceNode(PathSourceNodeRequest sourceNode)`
  The source node of the Derived Relation Type.
  `AddDerivedRelationTypeRequest.Builder`
  `sourceTypePublicId(String sourceTypePublicId)`
  The public id of the source type of the Derived Relation Type.
  `AddDerivedRelationTypeRequest.Builder`
  `targetNode(PathTargetNodeRequest targetNode)`
  The target node of the Derived Relation Type.
  `AddDerivedRelationTypeRequest.Builder`
  `targetTypePublicId(String targetTypePublicId)`
  The public id of the target type of the Derived Relation Type.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### id

    public AddDerivedRelationTypeRequest.Builder id(UUID id)
    The id of the Derived Relation Type. If not specified, a unique id will be generated.
    Returns:
      `this`.

  - ### publicId

    public AddDerivedRelationTypeRequest.Builder publicId(String publicId)
    The public id of the Derived Relation Type. If not specified, a unique public id will be generated.
    Returns:
      `this`.

  - ### description

    public AddDerivedRelationTypeRequest.Builder description(String description)
    The description of the Derived Relation Type.
    Returns:
      `this`.

  - ### sourceTypePublicId

    public AddDerivedRelationTypeRequest.Builder sourceTypePublicId(String sourceTypePublicId)
    The public id of the source type of the Derived Relation Type.
    Returns:
      `this`.

  - ### targetTypePublicId

    public AddDerivedRelationTypeRequest.Builder targetTypePublicId(String targetTypePublicId)
    The public id of the target type of the Derived Relation Type.
    Returns:
      `this`.

  - ### role

    public AddDerivedRelationTypeRequest.Builder role(String role)
    The role of the Derived Relation Type.
    Returns:
      `this`.

  - ### coRole

    public AddDerivedRelationTypeRequest.Builder coRole(String coRole)
    The co-role of the Derived Relation Type.
    Returns:
      `this`.

  - ### sourceNode

    public AddDerivedRelationTypeRequest.Builder sourceNode(PathSourceNodeRequest sourceNode)
    The source node of the Derived Relation Type.
    Returns:
      `this`.

  - ### targetNode

    public AddDerivedRelationTypeRequest.Builder targetNode(PathTargetNodeRequest targetNode)
    The target node of the Derived Relation Type.
    Returns:
      `this`.

  - ### intermediateNodes

    public AddDerivedRelationTypeRequest.Builder intermediateNodes(List<@NotNull PathIntermediateNodeRequest> intermediateNodes)
    The intermediate nodes of the Derived Relation Type. This list must not be empty.
    Returns:
      `this`.

  - ### build

    public AddDerivedRelationTypeRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`